Back to API List
Use this endpoint to update the queue priorities on a scale of 1 to 10.
The Dynamic Queue Reprioritization toggle must be enabled at the UI level to update queue priorities through the Update Queue Priority API. If this toggle is disabled, any priority updates made through the API are not reflected.
METHOD PUT Endpoint https://{{host}}/agentassist/api/v1/public/{{streamId}}/queues/dynamicqueues/prioritiesContent Type application/jsonAuthorization auth: {{JWT}} See How to generate the JWT Token API Scope Configuration
Path Parameters
Parameter Description Type /Required hostEnvironment URL, for example, https://platform.kore.ai string, required streamIdbotId or streamId. You can get it from the App Settings page. string, required
Sample Request
curl --location --request PUT 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/queues/dynamicqueues/priorities' \
--header 'accept: application/json, text/plain, /' \
--header 'accept-language: en-US,en;q=0.9' \
--header 'accountId: {{AccountId}}' \
--header 'app-language: en' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'auth: {{jwt_token}}' \
--header 'iId: st-ceb5fb14-37eb-54a8-a32d-1d751cxxxxxx' \
--data '{
"queuePriorityData": [
{
"queueId": "qu-e30b539-dd3c-4e10-90a9-354a3e7xxxxx",
"priority": 6
},
{
"queueId":"qu-e079499-2c0d-4709-b312-3682b30xxxxx",
"priority": 3
}
]
}
'
Parameter Description Optional/Required authA token to authenticate and authorize the user with the server. required accept-languageIndicates the preferred language for the response. optional app-languageThe language the application must use for the request. optional accountIdUnique account identifier. required Content-TypeRepresents the type of data present in the request body. required iIdAgent ID or Stream ID. required
Request Body Parameters
Parameter Description Type /Required queuePriorityDataList of queue-priority mappings used to influence routing order. array of objects, required queuePriorityData.queueIdUnique identifier of the queue for which the priority is defined. string, required queuePriorityData.priorityNumeric value indicating the priority assigned to the queue. Acceptable priority values range from 1 to 10. integer, required
Sample Response
{
"updatedCount" : 2 ,
"updatedQueueIds" : [ "qu-e30b539-dd3c-4e10-90a9-354a3e7xxxxx" , "qu-e079499-2c0d-4709-b312-3682b30xxxxx" ]
}
Response Parameters
Parameter Data type Description Example updatedCountinteger Total number of queues that were successfully updated. 2 updatedQueueIdsarray of strings List of queue identifiers whose priority values were updated. [“qu-e30b539-dd3c-4e10-90a9-354a3e7xxxxx”, “qu-e079499-2c0d-4709-b312-3682b30xxxxx”]